Subject: bug#77539: 31.0.50; nnatom: missing content in articles.

From: Daniel Semyonov <[email-masked]>
Date: Wed, 23 Apr 2025 18:04:08 +0300

>>>>> Eli Zaretskii writes:

    > Ping! How should we proceed with this issue?

I haven't had time to look into it properly yet, sorry.
I plan to test with HTML emails in Gnus (to figure out whether the issue
occurs in general when Gnus renders an HTML article, or just nnatom HTML
articles).

    >> Cc: [email-masked]
    >> From: Fernando de Morais <[email-masked]>
    >> Date: Sat, 05 Apr 2025 10:33:52 -0300
    >> 
    >> Hello Daniel,
    >> 
    >> Daniel Semyonov <[email-masked]> writes:
    >> 
    >> > IIRC HTML articles are displayed by Gnus using shr.el, I assume this
    >> > would need to be fixed there (though I'm not sure if this is really a
    >> > "bug" or expected behavior for an HTML renderer).
    >> 
    >> `shr' is also the default HTML render for EWW, if I'm not mistaken.  I
    >> did a test: I repeated the same steps from my original report and
    >> navigated, via the article link, to the original page using EWW, and the
    >> characters appeared normally.
    >> 
    >> I also navigated to the feed page (planet.emacslife.com) via EWW, and
    >> everything is displayed normally there.  Maybe is not related to `shr',
    >> then?
    >> 
    >> > Thank you for reporting these issues,
    >> 
    >> You're welcome!
    >> 
    >> -- 
    >> Regards,
    >> Fernando de Morais.
    >> 
    >> 
    >> 
    >>